import PropTypes from 'prop-types';
import cx from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var BASE_CLASS = 'sui-AtomCard';
var CLASS_MEDIA = BASE_CLASS + "-media";
var CLASS_INFO = BASE_CLASS + "-info";
var CLASS_VERTICAL = BASE_CLASS + "--vertical";
var CLASS_RESPONSIVE = BASE_CLASS + "--responsive";
var CLASS_HIGHLIGHT = BASE_CLASS + "--highlight";
var CLASS_LINK = BASE_CLASS + "-link";
var BORDER_RADIUS = {
  S: 's',
  M: 'm',
  L: 'l'
};
var ELEVATION = {
  S: 's',
  M: 'm',
  L: 'l'
};

var AtomCard = function AtomCard(_ref) {
  var Media = _ref.media,
      Content = _ref.content,
      vertical = _ref.vertical,
      responsive = _ref.responsive,
      rounded = _ref.rounded,
      elevation = _ref.elevation,
      highlight = _ref.highlight,
      href = _ref.href,
      onClick = _ref.onClick,
      tabIndex = _ref.tabIndex;

  var redirectToHref = function redirectToHref() {
    if (href) window.location.href = href;
  };

  var redirectOnEnter = function redirectOnEnter(e) {
    if (e.key === 'Enter') redirectToHref();
  };

  var isVertical = vertical && !responsive;
  var classNames = cx(BASE_CLASS, isVertical && CLASS_VERTICAL, responsive && CLASS_RESPONSIVE, highlight && CLASS_HIGHLIGHT, href && CLASS_LINK, onClick && CLASS_LINK, rounded && BASE_CLASS + "--rounded-" + rounded, elevation && BASE_CLASS + "--elevation-" + elevation);
  return /*#__PURE__*/_jsxs("div", {
    className: classNames,
    tabIndex: tabIndex,
    role: "button",
    onClick: onClick != null ? onClick : redirectToHref,
    onKeyDown: redirectOnEnter,
    children: [Media && /*#__PURE__*/_jsx("div", {
      className: CLASS_MEDIA,
      children: /*#__PURE__*/_jsx(Media, {})
    }), /*#__PURE__*/_jsx("div", {
      className: CLASS_INFO,
      children: Content && /*#__PURE__*/_jsx(Content, {})
    })]
  });
};

AtomCard.displayName = 'AtomCard';
export default AtomCard;
export { BORDER_RADIUS as atomCardRounded, ELEVATION as atomCardElevation };